$(document).ready(function() {
  /* MENU GENERAL */
  $('.tab-1-contenido-1').not('#tab-1-info-1').hide();

  contadorTab1 = 1;

  var idCajonTab1 = 'tab-1-info-';
  var idCajonBotonTab1 = 'tab-1-boton-';

  var claseTab1 = 'tab-1-contenido-1';
  var claseBotonTab1 = 'tabBoton-1';

  var idTab1 = [];
  var idBotonTab1 = [];

  var limiteTab1 = $('.tab-1-contenido-1').length;

  for (var i = 1; i <= limiteTab1; i++) {
    idTab1[i] = idCajonTab1 + i;
    idBotonTab1[i] = idCajonBotonTab1 + i;
  }

  $('.' + claseBotonTab1).click(function() {
    for (var j = 1; j <= limiteTab1; j++) {
      if ($(this).attr('id') == idBotonTab1[j]) {
        contadorTab1 = j;

        seleccionarBotonTab1();

        mostrarInfoTab1();
      }

      bloquearBotonAntSigTab1();
    }
  });

  $('.tabAntSig-1').click(function() {
    if ($(this).attr('id') == 'tab-1-ant-1') {
      contadorTab1--;
    }
    if ($(this).attr('id') == 'tab-1-sig-1') {
      contadorTab1++;
    }

    mostrarInfoTab1();

    seleccionarBotonTab1();

    bloquearBotonAntSigTab1();
  });

  function mostrarInfoTab1() {
    $('.' + claseTab1).hide();
    $('#' + idTab1[contadorTab1]).show();
  }

  function seleccionarBotonTab1() {
    $('.' + claseBotonTab1).removeClass('activo');
    $('#' + idBotonTab1[contadorTab1]).addClass('activo');
  }

  function bloquearBotonAntSigTab1() {
    $('.tabAntSig-1').removeClass('desactivado');
    if (contadorTab1 == 1) {
      $('#tab-1-ant-1').addClass('desactivado');
    }
    if (contadorTab1 == limiteTab1) {
      $('#tab-1-sig-1').addClass('desactivado');
    }
  }
});
